Skip to main content

Auvious RTC API v1.9.26

Auvious RTC API is the core set of services providing the realtime communication capabilities of the Auvious Platform.

info

You are viewing REST API documentation. This documentation is auto-generated from a swagger specification which itself is generated from annotations in the source code of the project. It is possible that this documentation includes bugs and that code samples are incomplete or wrong.

Authentication​

  • HTTP Authentication, scheme: bearer
  • OAuth 2.0 Authorization.
    • Flow: clientCredentials

    • OAuth 2.0 Token URL = /security/oauth/token

    • OAuth 2.0 Scope

      ScopeScope Description

File Transfers​

Find file transfers​

GET https://auvious.video/rtc-api/filetransfers HTTP/1.1
Host: auvious.video
Accept: application/json

Parameters​

ParameterInTypeRequiredDescription
interactionIdquerystringfalsefind by interactionId, mutually exclusive with conferenceId
conferenceIdquerystringfalsefind by conferenceId, mutually exclusive with interactionId
allquerybooleanfalseif provided and true, all file transfers will be received, not just the ones sent or received by user calling which is the default behavior

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKInline
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

{}

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X GET https://auvious.video/rtc-api/filetransfers \
-H 'Accept: application/json' \ -H 'Authorization: Bearer {access-token}'

Transfer a file​

POST https://auvious.video/rtc-api/filetransfers?targetType=user HTTP/1.1
Host: auvious.video
Content-Type: multipart/form-data
Accept: */*
X-Auvious-TransactionId: string

Request body​

userEndpointId: string
applicationId: string
interactionId: string
conferenceId: string
targetId: string
file: string

Parameters​

ParameterInTypeRequiredDescription
X-Auvious-TransactionIdheaderstringfalseused for detecting retries of the same request
targetTypequerystringtruetarget type e.g. USER, affects which users will receive the FileTransferEvent message
bodybodyobjecttruenone
» userEndpointIdbodystringfalsewhich userEndpoint id to link to
» applicationIdbodystringtruewhich application id to use, must match user organization
» interactionIdbodystringfalsewhich integration id to link this transfer to, optional
» conferenceIdbodystringfalsewhich conference id to link this transfer to, optional
» targetIdbodystringtruetarget id e.g. a user id, will be used to send the FileTransferEvent to all user endpoints of user
» filebodystring(binary)truethe actual file
Enumerated Values​
ParameterValue
targetTypeuser

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKFileTransferResult
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/filetransfers?targetType=user \
-H 'Content-Type: multipart/form-data' \ -H 'Accept: */*' \ -H 'X-Auvious-TransactionId: string' \ -H 'Authorization: Bearer {access-token}'

create a signed url​

POST https://auvious.video/rtc-api/filetransfers/{fileTransferId}/signedUrl HTTP/1.1
Host: auvious.video
Accept: application/json
Referer: string

Parameters​

ParameterInTypeRequiredDescription
fileTransferIdpathstringtruenone
Refererheaderstringtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKSignedUrl
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

{
"url": "https://cdn.example.com/path/to/file?signature=abc123",
"validFor": "PT5M",
"validUntil": "2025-03-27T12:00:00Z"
}

400 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/rtc-api/filetransfers/{fileTransferId}/signedUrl \
-H 'Accept: application/json' \ -H 'Referer: string' \ -H 'Authorization: Bearer {access-token}'

get a builtin signed url​

GET https://auvious.video/rtc-api/filetransfers/signed/{fileTransferId}/{expiration}?signature=string HTTP/1.1
Host: auvious.video
Accept: */*

Parameters​

ParameterInTypeRequiredDescription
fileTransferIdpathstringtruenone
expirationpathinteger(int64)truenone
signaturequerystringtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKstring
400Bad RequestBad RequestInline
Response Schema​

Status Code 400

NameTypeRequiredRestrictionsDescription
» additionalPropertiesstringfalsenonenone
Examples​

200 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X GET https://auvious.video/rtc-api/filetransfers/signed/{fileTransferId}/{expiration}?signature=string \
-H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

Schemas​

FileTransferResult​

{
"fileTransferId": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
fileTransferIdstringfalsenonenone

SignedUrl​

{
"url": "https://cdn.example.com/path/to/file?signature=abc123",
"validFor": "PT5M",
"validUntil": "2025-03-27T12:00:00Z"
}

Properties​

NameTypeRequiredRestrictionsDescription
urlstring(uri)falsenonenone
validForstring(duration)falsenoneUse this ISO-8601 duration for countdowns to avoid clock drift
validUntilstring(date-time)falsenoneTimestamp when the signed link actually expires